Retrieves the used part with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_part_usage| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of jobs |
globally unique identifier |
Required |
| article_id |
Foreign key of article. Can be empty if user keys in manually the object |
globally unique identifier | |
| user_id |
Foreign key, user that uses this part |
globally unique identifier |
Required |
| article_stock_location_id |
In case of stock management enabled, the stock that has been used |
globally unique identifier | |
| working_date |
Date when the part has been used |
date | |
| code |
Code of the part (filled by article.code or manually by the user) |
string |
Max length: 255 |
| name |
Name of the part (filled by article.name or manually by the user) |
string |
Max length: 255 |
| description |
Description of the part (filled by article.description or manually by the user) |
string |
Max length: 255 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| price |
Unit price of the part. Computed with the price logic or filled via purchase_order_details.price |
decimal number | |
| remark |
Remark / Line memo |
string |
Max length: 255 |
| purchase_order_details_id |
Foreign key of purchase_order_details, if the line was generated based on a purchase_order_details |
globally unique identifier | |
| signed_by_company |
Object was included in a job approval and signed (readonly) |
boolean | |
| job_approval_id |
Foreign key to the approval this lines belongs |
globally unique identifier | |
| is_under_warranty |
If the system detects that line was included in the warranty, price will be 0 |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "4914ce93-7017-439e-9c54-dd1a328b049f",
"jobs_id": "44fd96f0-3d6f-4dfc-81e7-d9e347a2c2e0",
"article_id": "cebd47c5-6002-4fef-a3d1-cdd82e343d12",
"user_id": "cea201e4-8df9-4487-a3ec-a32b0bb774ba",
"article_stock_location_id": "747777c0-59eb-4736-a08a-b558fe1baf09",
"working_date": "2026-09-28T18:17:03.6428408+00:00",
"code": "sample string 7",
"name": "sample string 8",
"description": "sample string 9",
"quantity": 10.0,
"price": 11.0,
"remark": "sample string 12",
"purchase_order_details_id": "63b35419-117c-4ef7-ba20-4a92bdb05680",
"signed_by_company": true,
"job_approval_id": "bcec95fd-b92c-4dc7-b35a-512a01ac0827",
"is_under_warranty": true,
"modified_dateutc": "2026-09-28T18:17:03.6428408+00:00"
}